package pt.digitalis.utils.common;

/**
 * @author Galaio da Silva <a href="mailto:jgalaio@digitalis.pt">jgalaio@digitalis.pt</a><br/>
 * @created 17 de Fev de 2011
 */
public class DIFLocale {

    /** the locale code */
    private String code;

    /** the locale country */
    private String country;

    /** the language name */
    private String displayName;

    /** the language + country */
    private String formatedName;

    /**
     * Inspector for the 'code' attribute.
     * 
     * @return the code value
     */
    public String getCode()
    {
        return code;
    }

    /**
     * Inspector for the 'country' attribute.
     * 
     * @return the country value
     */
    public String getCountry()
    {
        return country;
    }

    /**
     * Inspector for the 'displayName' attribute.
     * 
     * @return the displayName value
     */
    public String getDisplayName()
    {
        return displayName;
    }

    /**
     * Inspector for the 'formatedName' attribute.
     * 
     * @return the formatedName value
     */
    public String getFormatedName()
    {
        return formatedName;
    }

    /**
     * Modifier for the 'code' attribute.
     * 
     * @param code
     *            the new code value to set
     */
    public void setCode(String code)
    {
        this.code = code;
    }

    /**
     * Modifier for the 'country' attribute.
     * 
     * @param country
     *            the new country value to set
     */
    public void setCountry(String country)
    {
        this.country = country;
    }

    /**
     * Modifier for the 'displayName' attribute.
     * 
     * @param displayName
     *            the new displayName value to set
     */
    public void setDisplayName(String displayName)
    {
        this.displayName = displayName;
    }

    /**
     * Modifier for the 'formatedName' attribute.
     * 
     * @param formatedName
     *            the new formatedName value to set
     */
    public void setFormatedName(String formatedName)
    {
        this.formatedName = formatedName;
    }

}