/**
 * 2011, Digitalis Informatica. All rights reserved. Distribuicao e Gestao de Informatica, Lda. Estrada de Paco de Arcos
 * num.9 - Piso -1 2780-666 Paco de Arcos Telefone: (351) 21 4408990 Fax: (351) 21 4408999 http://www.digitalis.pt
 */

package pt.digitalis.utils.common;

/**
 * Defines methods for property inspection
 * 
 * @author Pedro Viegas <a href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a><br/>
 * @created 25 de Ago de 2011
 */
public interface IBeanPropertyInspector {

    /**
     * Gets the attribute as a string by the given name
     * 
     * @param attributeName
     *            the name of the atttibute
     * @return the attribute value as a string
     */
    public String getAttributeAsString(String attributeName);
}
